# HashRU Pics

This is the development repository for the HashRU photo website.
The CMS and its modules originate in [Kabuki CMS](https://aaronweb.net/projects/kabuki/), but have been extended and are maintained separately in this repository.

## Requirements

The Kabuki codebase requires the following PHP extensions to be enabled for full operation:

* exif
* imagick (PECL)
* mysqli

## Setup

Copy `config.php.dist` to `config.php` and set-up the constants contained in the file.

## Running

For development purposes, simply run the `server` script provided in the root of this repository.
This will start a PHP development server on `hashru.local:8080`.

For a production environment, please set up a proper PHP-FPM environment instead.

## Contributing

Pull requests are welcome over at the [HashRU Gitea](https://gitea.hashru.nl/Public/pics/pulls).

## License

The HashRU Pics repository is licensed with a BSD 3-clause license, as is Kabuki CMS.
